View Issue Details

IDProjectCategoryView StatusLast Update
0006574MediaMonkey (current)Main Panelpublic2010-12-20 04:28
Reporterrusty 
PriorityimmediateSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version4.0 
Target Version4.0Fixed in Version4.0 
Summary0006574: Track Browser Configurability Per Collection
DescriptionTrack Browser enable/disable status persists per Collection (as described in 0006547), however, its configuration should also persist per Collection because e.g. for some Collections it makes sense to have the 'Album', but not in others.

This would imply the following changes:
a) removing the UI that we'd created in the View Edit dialog (the File Browser tab), and MM would simply persist whatever configuration changes the user makes
b) right clicking in the Track Browser should allow the user to Add/Remove columns (valid range: 2-4 columns). e.g. 'Add column', 'Remove column', splitter, list of fields
c) ensuring that Track Browser headings can match the headings used in a collection. e.g. right now, the Track browser can't browse by 'Series'.
Additional InformationExample:
-Tab one and two both have same Collection (Music, or more correctly Type=Music) active, and the same View (say Details view) active
If the user :
1) Added a column for BPM to Track browser in tab 2: ==>Settings for Type=Music/View=Details change to include a new BPM column. In Tab 1, the track browser/filtering would be unchanged.
2) In Tab 1, switched to Collection (Classical, or more correctly Type=Classical Music) and then back to Music ==> Music view would show the changed settings as persisted from step 1.
TagsNo tags attached.
Fixed in build1335

Relationships

related to 0006575 closedLudek Different content Types should have different Properties window layouts 
related to 0006547 closedpetr Some View settings don't persist as expected 

Activities

rusty

2010-12-02 21:37

administrator   ~0021568

Note that Part a) is already implemented, however, the remaining functionality isn't.

petr

2010-12-11 22:00

developer   ~0021743

Item c fixed in 1334

petr

2010-12-11 22:00

developer   ~0021744

Fixed in 1334

petr

2010-12-12 23:20

developer   ~0021781

Opening for item b

petr

2010-12-15 00:02

developer   ~0021824

Fixed in 1335

rusty

2010-12-20 04:28

administrator   ~0021948

Verified 1336.